HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentIntentsIntentIncrementAuthorization

Contains the different functions to run the operation postPaymentIntentsIntentIncrementAuthorization

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentIntentsIntentIncrementAuthorization.hs
valuepostPaymentIntentsIntentIncrementAuthorization
  1. :: MonadHTTP m
  2. => Text

    intent | Constraints: Maximum length of 5000

  3. -> PostPaymentIntentsIntentIncrementAuthorizationRequestBody

    The request body to send

  4. -> ClientT m (Response PostPaymentIntentsIntentIncrementAuthorizationResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_intents/{intent}/increment_authorization

<p>Perform an incremental authorization on an eligible <a href="/docs/api/payment_intents/object">PaymentIntent</a>. To be eligible, the PaymentIntent’s status must be <code>requires_capture</code> and <a href="/docs/api/charges/object#charge_object-payment_method_details-card_present-incremental_authorization_supported">incremental_authorization_supported</a> must be <code>true</code>.</p>

<p>Incremental authorizations attempt to increase the authorized amount on your customer’s card to the new, higher <code>amount</code> provided. As with the initial authorization, incremental authorizations may be declined. A single PaymentIntent can call this endpoint multiple times to further increase the authorized amount.</p>

<p>If the incremental authorization succeeds, the PaymentIntent object is returned with the updated <a href="/docs/api/payment_intents/object#payment_intent_object-amount">amount</a>. If the incremental authorization fails, a <a href="/docs/error-codes#card-declined">card_declined</a> error is returned, and no fields on the PaymentIntent or Charge are updated. The PaymentIntent object remains capturable for the previously authorized amount.</p>

<p>Each PaymentIntent can have a maximum of 10 incremental authorization attempts, including declines. Once captured, a PaymentIntent can no longer be incremented.</p>

<p>Learn more about <a href="/docs/terminal/features/incremental-authorizations">incremental authorizations</a>.</p>

Defines the object schema located at paths./v1/payment_intents/{intent}/increment_authorization.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents/{intent}/increment_authorization.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.transfer_data in the specification.

The parameters used to automatically create a Transfer when the payment is captured. For more information, see the PaymentIntents use case for connected accounts.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentIntentsIntentIncrementAuthorization.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentIntentsIntentIncrementAuthorizationResponseError is used.

Instances2Eq, Show